/*
 Daybo Logic INI Support Library for non-Windows systems
 Copyright (C) 2001-2005 Daybo Logic.
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Neither the name of the project nor the names of its contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

  Daybo Logic,
  Flat 2 Barker Court,
  Victoria Avenue,
  Redfield,
  Bristol
  England.
  UK
  BS5 9NW

  +44 117 954 2306
  David Duncan Ross Palmer <http://www.daybologic.co.uk/mailddrp/>
  http://www.daybologic.co.uk/dev/dlini
*/
/*-------------------------------------------------------------------------*/
#define DLINI_SOURCE
#include <string.h>
#include <limits.h>
#ifdef HDRSTOP
# pragma hdrstop
#endif /*HDRSTOP*/

#include "dlstdinc.h" /* From Daybo Logic standards package */
#include "dlini.h"
/*-------------------------------------------------------------------------*/
DLINIAPI(int) dlini_Version(
  struct _S_DL_MODVER *PModVer
)
{
  if ( PModVer ) {
    if ( sizeof(struct _S_DL_MODVER) == PModVer->size ) {
      PModVer->major = DLINI_VER_MAJOR;
      PModVer->minor = DLINI_VER_MINOR;
      PModVer->build = DLINI_VER_PATCH;
      return 1;
    }
  }
  return 0;
}
/*-------------------------------------------------------------------------*/
DLINIAPI(int) dlini_VersionEx(
  struct _S_DL_MODVER_EX *PModVer
)
{
  if ( PModVer ) {
    if ( PModVer->size == sizeof(struct _S_DL_MODVER_EX) ) {
      struct _S_DL_MODVER ver;
      if ( dlini_Version(&ver) ) {
        PModVer->major = ver.major;
        PModVer->minor = ver.minor;
        PModVer->build = ver.build;
      }
#ifdef DEBUG
      PModVer->debug = TRUE;
#else
      PModVer->debug = FALSE;
#endif /*DEBUG*/
      strncpy(
        PModVer->author,
        "David Duncan Ross Palmer",
        sizeof(PModVer->author)/sizeof(PModVer->author[0])-1
      );
      strncpy(
        PModVer->desc,
        "Daybo Logic INI library",
        sizeof(PModVer->desc)/sizeof(PModVer->desc[0])-1
      );
      strncpy(
        PModVer->product,
        "Daybo Logic official version",
        sizeof(PModVer->product)/sizeof(PModVer->product[0])-1
      );
      PModVer->sourcebasedOS = DL_MODVEREX_OS_PORTABLE;
      /*requiredOS should be changed by _YOU_ */
      PModVer->requiredOS = DL_MODVEREX_OS_MAC_OSX;
      return 1;
    }
  }
  return 0;
}
/*-------------------------------------------------------------------------*/
